> For the complete documentation index, see [llms.txt](https://developers.felt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.felt.com/js-sdk-api-reference/tools/polygontoolsettings.md).

# PolygonToolSettings

***

## Properties

### color

> **color**: `string`

The color of the element in some CSS-like format.

#### Example

```typescript
"#ABC123";
"rgb(255, 0, 0)";
"hsl(200, 100%, 50%)";
```

#### Default

```ts
"#C93535"
```

***

### strokeOpacity

> **strokeOpacity**: `number`

A value between 0 and 1 that describes the opacity of the element's stroke.

#### Default

```ts
1
```

***

### strokeWidth

> **strokeWidth**: `number`

The width of the element's stroke in pixels.

#### Default

```ts
2
```

***

### strokeStyle

> **strokeStyle**: `"solid"` | `"dashed"` | `"dotted"`

The style of the element's stroke.

#### Default

```ts
"solid"
```

***

### fillOpacity

> **fillOpacity**: `number`

The opacity of the polygon's fill, between 0 and 1.

#### Default

```ts
0.25
```

***

### areaMarker

> **areaMarker**: `boolean`

Whether to show an area marker on the polygon.

#### Default

```ts
false
```

***

### showInspector

> **showInspector**: `boolean`

Whether to show the tool inspector.

#### Default Value

`false`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.felt.com/js-sdk-api-reference/tools/polygontoolsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
